package com.neusoft.smart.pos.inventory.persistent.mapper;

import com.neusoft.smart.pos.inventory.persistent.domain.InventoryGoodsApprovalOpinion;
import com.neusoft.smart.pos.inventory.persistent.domain.InventoryGoodsApprovalOpinionExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface InventoryGoodsApprovalOpinionMapper {
    
    int countByExample(InventoryGoodsApprovalOpinionExample example);
    
    int deleteByExample(InventoryGoodsApprovalOpinionExample example);
    
    int deleteByPrimaryKey(Integer id);
    
    int insert(InventoryGoodsApprovalOpinion record);
    
    int insertSelective(InventoryGoodsApprovalOpinion record);
    
    List<InventoryGoodsApprovalOpinion> selectByExample(InventoryGoodsApprovalOpinionExample example);
    
    InventoryGoodsApprovalOpinion selectByPrimaryKey(Integer id);
    
    int updateByExampleSelective(@Param("record") InventoryGoodsApprovalOpinion record, @Param("example") InventoryGoodsApprovalOpinionExample example);
    
    int updateByExample(@Param("record") InventoryGoodsApprovalOpinion record, @Param("example") InventoryGoodsApprovalOpinionExample example);
    
    int updateByPrimaryKeySelective(InventoryGoodsApprovalOpinion record);
    
    int updateByPrimaryKey(InventoryGoodsApprovalOpinion record);
    
    void batchInsert(@Param("items") List<InventoryGoodsApprovalOpinion> items);
}